# Changelog

All notable changes to this project will be documented in this file.

## [0.1.7] - 2023-06-17

### 🚜 Refactor

- *(cli)* Use formatted usage text

### 🎨 Styling

- *(cli)* Override the help usage ([#30](https://github.com/orhun/halp/issues/30))

### ⚙️ Miscellaneous Tasks

- *(deps)* Bump transitive dependencies
- *(deps)* Bump ureq from 2.6.2 to 2.7.0
- *(deps)* Bump clap from 4.3.3 to 4.3.4
- *(deps)* Bump clap from 4.3.2 to 4.3.3
- *(deps)* Bump serde from 1.0.163 to 1.0.164
- *(deps)* Bump clap from 4.3.1 to 4.3.2
- *(deps)* Bump clap dependencies
- *(deps)* Bump clap_mangen from 0.2.10 to 0.2.11
- *(deps)* Bump clap_complete from 4.2.3 to 4.3.0
- *(deps)* Bump console from 0.15.6 to 0.15.7
- *(deps)* Bump clap from 4.2.7 to 4.3.0
- *(deps)* Bump console from 0.15.5 to 0.15.6
- *(deps)* Bump toml from 0.7.3 to 0.7.4
- *(deps)* Bump clap_complete from 4.2.2 to 4.2.3
- *(deps)* Bump serde from 1.0.162 to 1.0.163
- *(deps)* Bump clap_complete from 4.2.1 to 4.2.2
- *(deps)* Bump serde from 1.0.160 to 1.0.162
- *(deps)* Bump clap from 4.2.5 to 4.2.7
- *(deps)* Bump dirs from 5.0.0 to 5.0.1
- *(deps)* Bump clap from 4.2.4 to 4.2.5
- *(deps)* Bump clap_complete from 4.2.0 to 4.2.1
- *(deps)* Bump clap from 4.2.3 to 4.2.4
- *(deps)* Bump clap from 4.2.2 to 4.2.3

## [0.1.6] - 2023-04-18

### 🐙 Features

- *(docker)* Generate SBOM/provenance for the Docker image
- *(output)* Add separators for command output ([#27](https://github.com/orhun/halp/issues/27))

### 🎨 Styling

- *(output)* Add color to the separator
- *(readme)* Update license text

### ⚙️ Miscellaneous Tasks

- *(ci)* Switch back to line coverage
- *(ci)* Use codecov format with cargo-llvm-cov
- *(deps)* Bump transitive dependencies
- *(deps)* Bump clap from 4.2.1 to 4.2.2
- *(deps)* Bump serde from 1.0.159 to 1.0.160
- *(deps)* Bump dialoguer from 0.10.3 to 0.10.4

## [0.1.5] - 2023-04-03

### ⚙️ Miscellaneous Tasks

- *(changelog)* Update git-cliff template about breaking changes
- *(deps)* Bump dependencies
- *(deps)* Bump clap_complete from 4.1.5 to 4.2.0
- *(deps)* Bump serde from 1.0.158 to 1.0.159
- *(deps)* Bump serde from 1.0.156 to 1.0.158
- *(deps)* Bump clap from 4.1.9 to 4.1.11
- *(deps)* Bump thiserror from 1.0.39 to 1.0.40
- *(deps)* Bump dirs from 4.0.0 to 5.0.0

## [0.1.4] - 2023-03-17

### 🐛 Bug Fixes

- *(cheat)* Don't use a pager when no cheat sheet found for the command

### ⚙️ Miscellaneous Tasks

- *(ci)* Specify token for codecov uploads
- *(deps)* Bump transitive dependencies
- *(deps)* Bump clap from 4.1.8 to 4.1.9
- *(deps)* Bump clap_complete from 4.1.4 to 4.1.5
- *(deps)* Bump clap_mangen from 0.2.9 to 0.2.10

## [0.1.3] - 2023-03-16

### 🐛 Bug Fixes

- *(args)* Unset pager for command output ([#9](https://github.com/orhun/halp/issues/9))

### ⚙️ Miscellaneous Tasks

- *(deps)* Bump transitive dependencies

## [0.1.2] - 2023-03-14

### 🐙 Features

- *(args)* Check `version` subcommand for version info

### 📚 Documentation

- *(readme)* Update installation instructions for Arch Linux

### ⚙️ Miscellaneous Tasks

- *(changelog)* Skip PR related commits for changelog
- *(deps)* Update serde dependency
- *(deps)* Bump toml from 0.7.2 to 0.7.3
- *(github)* Remove codeowner approval requirement from bors
- *(github)* Remove approval requirement from bors config
- *(github)* Remove docker status check from bors config

## [0.1.1] - 2023-03-13

### 📚 Documentation

- *(readme)* Match up common "help" and "version" arguments ([#3](https://github.com/orhun/halp/issues/3))

### ⚙️ Miscellaneous Tasks

- *(deps)* Bump transitive dependencies
- *(deps)* Bump serde from 1.0.154 to 1.0.155

## [0.1.0] - 2023-03-12

### 📚 Documentation

- *(lib)* Add emoji to docs.rs description

## [0.1.0-rc.2] - 2023-03-12

### 🐛 Bug Fixes

- *(cd)* Update the packaging step for license files

<!-- generated by git-cliff -->
